- Qt 5.5
- Qt3D Module
- C++ Classes
- QLookAtTransform
- Qt 5.5.1 Reference Documentation

# QLookAtTransform Class

(Qt3D::QLookAtTransform)

Inherits: | Qt3D::QAbstractTransform

- List of all members, including inherited members

## Properties

- position : QVector3D
- upVector : QVector3D
- viewCenter : QVector3D
- viewVector : const QVector3D

- 1 property inherited from Qt3D::QAbstractTransform

## Public Functions

| QLookAtTransform(QObject * parent = Q_NULLPTR)
QVector3D | position() const
void | setPosition(const QVector3D & position)
void | setUpVector(const QVector3D & upVector)
void | setViewCenter(const QVector3D & viewCenter)
void | setViewVector(const QVector3D & viewVector)
QVector3D | upVector() const
QVector3D | viewCenter() const
QVector3D | viewVector() const

## Reimplemented Public Functions

virtual QMatrix4x4 | transformMatrix() const

- 1 public function inherited from Qt3D::QAbstractTransform

## Signals

void | positionChanged()
void | upVectorChanged()
void | viewCenterChanged()
void | viewVectorChanged()

- 1 signal inherited from Qt3D::QAbstractTransform

## Property Documentation

### position : QVector3D

Access functions:

QVector3D | position() const
void | setPosition(const QVector3D & position)

Notifier signal:

void | positionChanged()

### upVector : QVector3D

Access functions:

QVector3D | upVector() const
void | setUpVector(const QVector3D & upVector)

Notifier signal:

void | upVectorChanged()

### viewCenter : QVector3D

Access functions:

QVector3D | viewCenter() const
void | setViewCenter(const QVector3D & viewCenter)

Notifier signal:

void | viewCenterChanged()

### viewVector : const QVector3D

Access functions:

QVector3D | viewVector() const

Notifier signal:

void | viewVectorChanged()

## Member Function Documentation

### QLookAtTransform::QLookAtTransform(QObject * parent = Q_NULLPTR)

### void QLookAtTransform::setViewVector(const QVector3D & viewVector)

See also viewVector().

### `[virtual]` QMatrix4x4 QLookAtTransform::transformMatrix() const